org.apache.tools.ant.taskdefs.optional.sos

## Class SOSCheckout

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.sos.SOS
      - - org.apache.tools.ant.taskdefs.optional.sos.SOSCheckout

All Implemented Interfaces:
  java.lang.Cloneable, SOSCmd

    public class SOSCheckout
    extends SOS

Retrieves and locks files in Visual SourceSafe via a SourceOffSite server.

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.sos.SOS

`commandLine`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Fields inherited from interface org.apache.tools.ant.taskdefs.optional.sos.SOSCmd

`COMMAND_CHECKIN_FILE, COMMAND_CHECKIN_PROJECT, COMMAND_CHECKOUT_FILE, COMMAND_CHECKOUT_PROJECT, COMMAND_GET_FILE, COMMAND_GET_PROJECT, COMMAND_HISTORY, COMMAND_LABEL, COMMAND_SOS_EXE, FLAG_COMMAND, FLAG_COMMENT, FLAG_FILE, FLAG_LABEL, FLAG_NO_CACHE, FLAG_NO_COMPRESSION, FLAG_PASSWORD, FLAG_PROJECT, FLAG_RECURSION, FLAG_SOS_HOME, FLAG_SOS_SERVER, FLAG_USERNAME, FLAG_VERBOSE, FLAG_VERSION, FLAG_VSS_SERVER, FLAG_WORKING_DIR, PROJECT_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`SOSCheckout()`

### Method Summary

Methods

`protected Commandline`

`buildCmdLine()`
Build the command line
CheckOutFile required parameters: -server -name -password -database -project -file
CheckOutFile optional parameters: -workdir -verbose -nocache -nocompression -soshome
CheckOutProject required parameters: -server -name -password -database -project
CheckOutProject optional parameters:-workdir -recursive -verbose -nocache -nocompression -soshome

`void` `setFile(java.lang.String filename)` The filename to act upon.
`void` `setRecursive(boolean recursive)` Flag to recursively apply the action.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.sos.SOS

`execute, getComment, getFilename, getLabel, getLocalPath, getNoCache, getNoCompress, getOptionalAttributes, getPassword, getProjectPath, getRecursive, getRequiredAttributes, getSosCommand, getSosHome, getSosServerPath, getUsername, getVerbose, getVersion, getVssServerPath, run, setInternalComment, setInternalFilename, setInternalLabel, setInternalRecursive, setInternalVersion, setLocalPath, setNoCache, setNoCompress, setPassword, setProjectPath, setSosCmd, setSosHome, setSosServerPath, setUsername, setVerbose, setVssServerPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SOSCheckout

    public SOSCheckout()

### Method Detail

#### setFile

    public final void setFile(java.lang.String filename)

The filename to act upon. If no file is specified then the task acts upon the project.

Parameters:
  `filename` - The new file value

#### setRecursive

    public void setRecursive(boolean recursive)

Flag to recursively apply the action. Defaults to false.

Parameters:
  `recursive` - True for recursive operation.

#### buildCmdLine

    protected Commandline buildCmdLine()

Build the command line
CheckOutFile required parameters: -server -name -password -database -project -file
CheckOutFile optional parameters: -workdir -verbose -nocache -nocompression -soshome
CheckOutProject required parameters: -server -name -password -database -project
CheckOutProject optional parameters:-workdir -recursive -verbose -nocache -nocompression -soshome

Returns:
  Commandline the generated command to be executed